Где я могу получить пакет для GNU Parallel?

39

Я хочу установить GNU Parallel в Ubuntu, но я не могу найти пакет для него в стандартном Ubuntu РЕПО. Где я могу его получить?

    
задан Rudolf Olah 12.11.2010 в 01:04
источник

11 ответов

32

В 13.04 вы можете установить с apt-get :

sudo apt-get install parallel
sudo rm /etc/parallel/config

Вторая строка необходима, потому что GNU-параллель установлена в режиме --tollef (если кто-нибудь может объяснить это, я бы хотел знать).

В 14.04 конфигурационный файл, по-видимому, больше не включается, поскольку параметр --tollef полностью удаляется из исходного источника GNU: Ссылка

    
ответ дан luispedro 22.05.2013 в 12:53
источник
13

Ссылка

Это должно хорошо работать с 10.10. Если нет, вы также можете попробовать пакет Debian 5.0 из здесь .

Edit:

Просто уточнить: Несмотря на то, что эта ссылка относится к службе сборки OpenSUSE, это пакет Ubuntu .

Пакеты для более поздних версий Ubuntu также доступны .

    
ответ дан Stefano Palazzo 12.11.2010 в 03:35
7

Я на Ubuntu 11.10, и до сих пор не существует канонического пакета GNU Parallel. Это довольно легко добавить вручную.

  1. Перейдите на официальный сайт GNU Parallel: Ссылка
  2. Загрузите последнюю версию tarball: Ссылка
  3. Распакуйте и сделайте это.

.

wget http://ftp.gnu.org/gnu/parallel/parallel-20120522.tar.bz2
tar -xvjf parallel*
cd parallel*
less README
./configure
make
sudo make install
    
ответ дан djeikyb 27.05.2012 в 06:36
5

Вы можете использовать ленту zeroinstall (она должна работать на любом os / distro):

apt-get install zeroinstall-injector
0alias parallel http://git.savannah.gnu.org/cgit/parallel.git/plain/packager/0install/parallel.xml

, то просто запустите его, используя команду parallel .

Подробнее о нулевой установке см. Ссылка .

    
ответ дан user10431 08.02.2011 в 12:55
4
___ qstnhdr ___ Где я могу получить пакет для GNU Parallel? ______ qstntxt ___

Я хочу установить GNU Parallel в Ubuntu, но я не могу найти пакет для него в стандартном Ubuntu РЕПО. Где я могу его получить?

    
______ answer298598 ___

В 13.04 вы можете установить с %co_de% :

%pr_e%

Вторая строка необходима, потому что GNU-параллель установлена в режиме %co_de% (если кто-нибудь может объяснить это, я бы хотел знать).

В 14.04 конфигурационный файл, по-видимому, больше не включается, поскольку параметр %co_de% полностью удаляется из исходного источника GNU: Ссылка

    
______ answer12778 ___

Ссылка

Это должно хорошо работать с 10.10. Если нет, вы также можете попробовать пакет Debian 5.0 из здесь .

Edit:

Просто уточнить: Несмотря на то, что эта ссылка относится к службе сборки OpenSUSE, это пакет Ubuntu .

Пакеты для более поздних версий Ubuntu также доступны .

    
______ answer142757 ___

Я на Ubuntu 11.10, и до сих пор не существует канонического пакета GNU Parallel. Это довольно легко добавить вручную.

  1. Перейдите на официальный сайт GNU Parallel: Ссылка
  2. Загрузите последнюю версию tarball: Ссылка
  3. Распакуйте и сделайте это.

. %pr_e%     

______ answer25261 ___

Вы можете использовать ленту zeroinstall (она должна работать на любом os / distro):

%pr_e%

, то просто запустите его, используя команду %co_de% .

Подробнее о нулевой установке см. Ссылка .

    
______ answer2324 ___

Я посмотрел сегодня (2011-01-25) и не нашел никакого ppa или другого apt-репозитория. Я нашел Ссылка , но он ссылается только на внешние ресурсы.

Параллельная команда в пакете moreutils НЕ является параллельной GNU, но Ссылка , которая не так полно.

Он находится в macports и многих других дистрибутивах, поэтому он также должен быть включен в Ubuntu.

    
______ answer595428 ___

На сегодняшний день (11 марта 2015 года) я рекомендую читать:

Ссылка

В основном %co_de% и %co_de% не могут пройти.

Вы можете сделать

%pr_e%

, но вы потеряете %co_de% - даже если вы не используете %co_de% %co_de% , вы потеряете, например, %co_de% .

Вы можете строить с нуля, как и в другом ответе.

Я сделал

%pr_e%

И затем использовал %co_de% в моих скриптах

    
______ answer95255 ___

Ссылка

Или включите это в свой источник.list:

%pr_e%     
______ answer436087 ___

Он доступен в * buntu 13.10 и будет 14.04LTS.

    
______ answer12785 ___

Кажется, что он не упакован в Ubuntu & amp; Debian, возможно, вы можете запросить его упаковку.

В репозиториях, которые вы можете проверить, есть и другие инструменты с похожими функциями (параллельное удаленное выполнение команд на нескольких системах). (Возможно, кто-то еще может порекомендовать некоторые из них.)

    
______ answer726034 ___

Для Ubuntu 12.04 вы можете скачать его с Ссылка

и, конечно, установите с помощью dpkg -i

    
______ answer693415 ___

Вы можете установить последнюю версию с помощью LinuxBrew :

%pr_e%

На сегодняшний день текущая версия установлена %co_de% . Вы можете проверить его Формула .

    
___
ответ дан Morgan Christiansson 25.01.2011 в 19:47
4

На сегодняшний день (11 марта 2015 года) я рекомендую читать:

Ссылка

В основном moreutils и gnu parallel не могут пройти.

Вы можете сделать

sudo apt-get install parallel

, но вы потеряете moreutils - даже если вы не используете moreutils parallel , вы потеряете, например, ifne .

Вы можете строить с нуля, как и в другом ответе.

Я сделал

sudo apt-get install parallel
sudo mv /usr/bin/parallel /usr/bin/gnu_parallel
sudo apt-get install moreutils

И затем использовал gnu_parallel в моих скриптах

    
ответ дан Cookie 11.03.2015 в 09:32
2

Ссылка

Или включите это в свой источник.list:

deb http://ppa.launchpad.net/ieltonf/ppa/ubuntu oneiric main 
deb-src http://ppa.launchpad.net/ieltonf/ppa/ubuntu oneiric main 
    
ответ дан Ielton 13.01.2012 в 22:09
2

Он доступен в * buntu 13.10 и будет 14.04LTS.

    
ответ дан Richard Elkins 18.03.2014 в 23:47
1

Кажется, что он не упакован в Ubuntu & amp; Debian, возможно, вы можете запросить его упаковку.

В репозиториях, которые вы можете проверить, есть и другие инструменты с похожими функциями (параллельное удаленное выполнение команд на нескольких системах). (Возможно, кто-то еще может порекомендовать некоторые из них.)

    
ответ дан JanC 12.11.2010 в 04:11
0

Для Ubuntu 12.04 вы можете скачать его с Ссылка

и, конечно, установите с помощью dpkg -i

    
ответ дан AlejandroVD 26.01.2016 в 23:38
-1

Вы можете установить последнюю версию с помощью LinuxBrew :

brew install parallel

На сегодняшний день текущая версия установлена 20150922 . Вы можете проверить его Формула .

    
ответ дан slashsbin 03.11.2015 в 13:46